clear all
close all
clc

%Bayesianska analyza v NLRM - citlivostni analyza prioru

%(a) datovy soubor
N=100;
beta=2;
h=1; %1/sigma^2
error= sqrt(1/h)*randn(N,1); %tvorba chyboveho clenu 
x=rand(N,1);
y=beta*x+error;


%(b)
results=nlrm_ncp(y,x,2,1,1,10,0.5);
prt_nlrm_ncp(results);

x2=zeros(size(y))+0.001;
results2=nlrm_ncp(y,x2,2,1,1,10,0.5);

disp('Bayesuv faktor pro model beta<>0 a beta=0')
disp(exp(results.lmarglik-results2.lmarglik))

pause
clc

%(c)
disp('(c) zmena V0')
Vpri = [0.01 0.1 10 100 1000000];
for j=Vpri
    disp('V0')
    disp(j)
    results=nlrm_ncp(y,x,2,j,1,10,0.5);
    prt_nlrm_ncp(results);
end

pause
clc
close all


%(d)
disp('(d) zmena nu0')
nupri = [5 100 1000 1000000];
for j=nupri
    disp('nu0')
    disp(j)
    results=nlrm_ncp(y,x,2,1,1,j,0.5);
    prt_nlrm_ncp(results);
end

pause
clc
close all

%(e)
disp('(e) b0=0, zmena V0')
for j=Vpri
    disp('V0')
    disp(j)
    results=nlrm_ncp(y,x,0,j,1,10,0.5);
    prt_nlrm_ncp(results);
end

pause
clc
close all


%(f)
disp('(f) 1/s02=100, zmena nu0')
nupri = [5 100 1000 1000000];
for j=nupri
    disp('nu0')
    disp(j)
    results=nlrm_ncp(y,x,2,1,1/100,j,0.5);
    prt_nlrm_ncp(results);
end


%(g) - zhodnoceni vysledku

%(h) - zmena N na zacatku - opetovne pusteni skriptu

%(i) - zmena beta a h na zacatku - opetovne pusteni skriptu (zadne
%podstatne zmeny)

